Skip to main content
GET
Gets Offer Details

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

offer_id
string<uuid>
required

Unique ID of the offer on PayLead system.

Response

OK

name
string
required
read-only

Name of the object

reference
string
required
read-only

Unique reference of the offer. Human readable, made out from the concatenation of the brand name + creation date + increment.

Example:

"MYBRAND-20180220-001"

type
enum<string>
required
read-only

Enum in: CASHBACK, UNIQUE_COUPON, GENERIC_COUPON

Available options:
VOUCHER
Example:

"CASHBACK"

application_channel
enum<string> | null
read-only

Offer availability: ONLINE if the offer is online only. OFFLINE if the offer is offline only. BOTH if the offer is online and offline

Available options:
BOTH,
ONLINE,
OFFLINE
Maximum string length: 7
Example:

"ONLINE"

application_url
string<url> | null
read-only

URL to reach the offer if the offer channel is ONLINE or BOTH

Example:

"https://www.mybrand.fr"

brand
object
description
string | null
read-only

description

end_date
string<date-time> | null
read-only

Date (ex. 2017-12-26T23:00:00+00:00): End date of the offer.

Example:

"2018-12-21T00:00:00+00:00"

highlight_level
enum<string> | null
read-only

Enum in: HIGHEST, HIGH, NORMAL. For a contextual display (banner, carousel etc...), this value is set by the program manager on each offer

Available options:
HIGHEST,
HIGH,
NORMAL
Maximum string length: 7
Example:

"HIGH"

id
string<uuid>
read-only

Unique ID of the object.

Example:

"e2c32b4b-de61-459b-accf-a75f76247946"

is_favorite
boolean
read-only

TRUE if the offer is liked by consumer, FALSE if not

Example:

true

Legal terms

max_discount_rate
number | null
read-only

Represents the best absolute ratio between the price and value of the different vouchers

max_value
number | null
read-only

Maximum value of the vouchers

min_value
number | null
read-only

Minimum value of the vouchers

picture
object
proposed_vouchers
object[]
read-only

A list of suggested vouchers, including both their price and their value. Only provided on GET queries when "?include=proposed_vouchers" is included in the request.

start_date
string<date-time>
read-only

Date (ex. 2017-12-26T23:00:00+00:00): Start date of the offer.

Example:

"2018-12-21T00:00:00+00:00"

voucher_modes
any
read-only

BONUS: The voucher value is higher or equal than the provided voucher price. DISCOUNT: The voucher price is lower or equal than the provided voucher value